Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.0.0
Description

The class method was introduced in r12012 along with the instance method CustomField#visibility_by_project_condition. The
method's body seems to follow the idea of the instance method but misses a lot of data required by it, including the user and the 
project_key. As such, the method would always throw an exception when called.

Since the method is not tested, is never called by Redmine anywhere, and is unusable anyway, we can simply remove it as done by
the attached patch.

Related issues:
Related to Redmine - Feature # 5037: Role-based issue custom field visibility Closed 2010-03-10

Associated revisions
Revision 17507 - 2018-09-23 15:34 - Jean-Philippe Lang

Remove unused and broken method CustomField.visibility_condition (#29160).

Patch by Holger Just.

History
#1 - 2018-06-30 08:06 - Go MAEDA
- Related to Feature #5037: Role-based issue custom field visibility added

#2 - 2018-06-30 08:07 - Go MAEDA
- Target version changed from Candidate for next minor release to 4.0.0

I have confirmed the problem Holger reported. Setting target version to 4.0.0.

#3 - 2018-09-23 15:34 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

Committed, thanks.
